## ros-melodic-euscollada 0.4.3

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(euscollada)

# check rosversion if >=indigo
execute_process(
  COMMAND python -c "import sys; sys.exit(ord('$ENV{ROS_DISTRO}'[0]) >= ord('indigo'[0]))"
  RESULT_VARIABLE rosversion_ge_indigo)

IF(${rosversion_ge_indigo})
find_package(catkin REQUIRED COMPONENTS collada_urdf rospack collada_parser resource_retriever rostest)
ELSE()
find_package(catkin REQUIRED COMPONENTS collada_urdf rospack collada_parser urdfdom resource_retriever rostest)
ENDIF()

catkin_package()

set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:${CATKIN_DEVEL_PREFIX}/lib/pkgconfig")

find_package(PkgConfig)
IF(${rosversion_ge_indigo})
pkg_check_modules(urdf_dom urdfdom REQUIRED)
ENDIF()
pkg_check_modules(colladadom collada-dom-150 REQUIRED)
pkg_check_modules(yaml_cpp yaml-cpp REQUIRED)
IF(${yaml_cpp_VERSION} VERSION_GREATER "0.5.0")
## indigo yaml-cpp : 0.5.0 /  hydro yaml-cpp : 0.3.0
  add_definitions("-DUSE_CURRENT_YAML")
ENDIF()
pkg_check_modules(assimpdevel assimp_devel REQUIRED)

pkg_check_modules(URDFDOM REQUIRED urdfdom)
message(STATUS "Find URDFDOM ${URDFDOM_VERSION}")

include_directories(${catkin_INCLUDE_DIRS} ${colladadom_INCLUDE_DIRS} ${yaml_cpp_INCLUDE_DIRS} ${assimpdevel_INCLUDE_DIRS} ${urdf_dom_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS} ${assimpdevel_LIBRARY_DIRS})

### original collada2eus until ver 0.3.5
add_executable(collada2eus.orig src/collada2eus.cpp)
target_link_libraries(collada2eus.orig ${catkin_LIBRARIES} qhull ${yaml_cpp_LIBRARIES} ${colladadom_LIBRARIES} ${recource_retriever_LIBRARIES})
add_dependencies(collada2eus.orig libassimp_devel)

find_package(Boost REQUIRED system filesystem)
include_directories(${Boost_INCLUDE_DIR})
add_executable(collada2eus src/collada2eus_urdfmodel.cpp)
target_link_libraries(collada2eus ${catkin_LIBRARIES} qhull ${yaml_cpp_LIBRARIES} ${colladadom_LIBRARIES} ${collada_parser_LIBRARIES} ${recource_retriever_LIBRARIES} ${assimpdevel_LIBRARIES} ${Boost_LIBRARIES} ${urdf_dom_LIBRARIES})
add_dependencies(collada2eus libassimp_devel)
if ("${URDFDOM_VERSION}" VERSION_EQUAL "1.0.0" OR "${URDFDOM_VERSION}" VERSION_GREATER "1.0.0")
  target_compile_definitions(collada2eus PRIVATE -DURDFDOM_1_0_0_API)
endif()

install(TARGETS collada2eus collada2eus.orig
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY src scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN "*.cpp" EXCLUDE)


file(GLOB _install_yaml_files RELATIVE ${PROJECT_SOURCE_DIR} *.yaml)
install(FILES ${_install_yaml_files}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
file(GLOB _install_sh_files RELATIVE ${PROJECT_SOURCE_DIR} *.sh)
install(PROGRAMS ${_install_sh_files}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

add_rostest(test/euscollada-model-conversion.test)

=== debian/changelog ===
ros-melodic-euscollada (0.4.3-0stretch) stretch; urgency=high

  * fix for urdfmodel 1.0.0 (melodic) (#221 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/221>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 05 Dec 2018 00:00:00 -0000

ros-melodic-euscollada (0.4.2-0stretch) stretch; urgency=high

  * collada2eus_urdfmodel: append :provide on bottom; force flush (#219 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/219>)
  * Contributors: Yuki Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-melodic-euscollada (0.4.1-0stretch) stretch; urgency=high

  * [euscollada] fix collision model for version 0.4.0f( #218 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/218>)
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-melodic-euscollada (0.4.0-0stretch) stretch; urgency=high

  * Replace euscollada for using ROS collada/urdf parser. It can convert both collada and urdf to eusmodel (#216 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/216>)
    * [euscollada] previous collada2eus can be used by collada2eus.orig
    * [euscollada, collada2eus_urdfmodel] switch default model format (:collada->:urdf)
    * [euscollada] use collada2eus_urdfmodel as collada2eus
    * [euscollada,collada2eus_urdfmodel] fix parsing arguments
    * [euscollada,collada2eus_urdfmodel] fix reset-pose
    * [euscollada,collada2eus,collada2eus_urdfmodel] fix centroid
    * [euscollada, euscollada-robot.l] fix inertia conversion when weight is zero
    * [euscollada] fix message when robot.yaml has shorter length of angle-vector
    * [euscollada] do not make small cube for link without geometry
    * [euscollada] fix using _fixed_jt as slot name for fixed joint
    * [euscollada] add add_normal argument
  * [euscollada] fix travis testtest (#215 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/215>)
    * fix timeout for reading stream
    * set origin of robot before comparing centroid
  * Update collada2eus_urdfmodel (#212 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/212>)
    * [euscollada/collada2eus_urdfmodel] update for using non mesh geometry(BOX, CYLINDER, SPHERE)
    * [euscollada/collada2eus_urdfmodel] fix, the same as #174 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/174>
    * [euscollada/collada2eus_urdfmodel] fix warning message for reading urdf file
    * [euscollada/collada2eus_urdfmodel] fix min-max range for a continuous joint
    * [euscollada/collada2eus_urdfmodel] fix for writing non mesh geometry
  * fix to run installed euscollada (#213 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/213>)
    * enable to run within write-protected directory
    * euscollada: install sh fails as PROGRAMS
  * src/collada2eus.cpp: fix wrong python style string #174 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/174> (#204 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/204>)
  * Contributors: Kei Okada, Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-melodic-euscollada (0.3.5-0stretch) stretch; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000

ros-melodic-euscollada (0.3.4-0stretch) stretch; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-melodic-euscollada (0.3.3-0stretch) stretch; urgency=high

  * urdfdom is for hydro, now we can drop (forget to remove run_depends)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-melodic-euscollada (0.3.2-0stretch) stretch; urgency=high

  * urdfdom is for hydro, now we can drop
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-melodic-euscollada (0.3.1-0stretch) stretch; urgency=high

  * for kinetic release (#197 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/197>)
    * collada2eus : convertnig const char* makes strange behavior (il->second becomes NONE)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-melodic-euscollada (0.3.0-0stretch) stretch; urgency=high

  * Fix conversion of mass properties (#192 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/192>)
    * [euscollada] fix test (samplerobot centroid and pose)
    * [collada2eus] fix conversion of mass properties, when there are links which are not member of links
    * [euscollda] add tests
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 16 Jan 2017 00:00:00 -0000

ros-melodic-euscollada (0.2.5-0stretch) stretch; urgency=high

  * [collada2eus] fix closing /dev/null (#186 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/186>)
  * Add documentation for predefined poses (#174 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/174>)
  * Contributors: Kentaro Wada, Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 18 Oct 2016 00:00:00 -0000

ros-melodic-euscollada (0.2.4-0stretch) stretch; urgency=high

  * Support building on OS X
  * Support passing limbs to predefined pose method
    Modified:
    - euscollada/src/collada2eus.cpp
  * [euscollada/src/collada2eus_urdfmodel.cpp] Fix location of gl::vertices setting. Move after geom is set.
  * Contributors: Kentaro Wada, Shunichi Nozawa

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 30 Apr 2016 00:00:00 -0000

ros-melodic-euscollada (0.2.3-0stretch) stretch; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 31 Dec 2015 00:00:00 -0000

ros-melodic-euscollada (0.2.2-0stretch) stretch; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 11 Dec 2015 00:00:00 -0000

ros-melodic-euscollada (0.2.1-0stretch) stretch; urgency=high





=== debian/control ===
Source: ros-melodic-euscollada
Section: misc
Priority: extra
Maintainer: Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libcollada-dom2.4-dp-dev, libqhull-dev, liburdfdom-dev, libyaml-cpp-dev, ros-melodic-assimp-devel, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-collada-parser, ros-melodic-collada-urdf, ros-melodic-mk, ros-melodic-openhrp3, ros-melodic-pr2-description, ros-melodic-resource-retriever, ros-melodic-rosboost-cfg, ros-melodic-rosbuild, ros-melodic-roscpp, ros-melodic-roseus, ros-melodic-rospack, ros-melodic-rostest, ros-melodic-tf, ros-melodic-urdf
Homepage: http://ros.org/wiki/euscollada
Standards-Version: 3.9.2

Package: ros-melodic-euscollada
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcollada-dom2.4-dp-dev, libqhull-dev, liburdfdom-dev, libyaml-cpp-dev, ros-melodic-assimp-devel, ros-melodic-collada-parser, ros-melodic-collada-urdf, ros-melodic-resource-retriever, ros-melodic-roscpp, ros-melodic-rospack, ros-melodic-rostest, ros-melodic-tf, ros-melodic-urdf
Description: euscollada

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-euscollada//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-euscollada 0.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,15 @@
 execute_process(
   COMMAND python -c "import sys; sys.exit(ord('$ENV{ROS_DISTRO}'[0]) >= ord('indigo'[0]))"
   RESULT_VARIABLE rosversion_ge_indigo)
+
+# noetic collada_urdf could not find_packag-ed due to https://github.com/ros/collada_urdf/issues/43
+if("$ENV{ROS_DISTRO}" STREQUAL "noetic")
+  set(collada_urdf_CONFIG_INCLUDED TRUE)
+  set(libraries "collada_urdf")
+  foreach(library ${libraries})
+    list(APPEND collada_urdf_LIBRARIES ${library})
+  endforeach(library ${libraries})
+endif("$ENV{ROS_DISTRO}" STREQUAL "noetic")
 
 IF(${rosversion_ge_indigo})
 find_package(catkin REQUIRED COMPONENTS collada_urdf rospack collada_parser resource_retriever rostest)
@@ -67,4 +76,9 @@
 install(PROGRAMS ${_install_sh_files}
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
 
-add_rostest(test/euscollada-model-conversion.test)
+
+if (CATKIN_ENABLE_TESTING)
+  find_package(rostest REQUIRED)
+  add_rostest(test/euscollada-model-conversion.test)
+  add_rostest(test/test-mimic.test)
+endif(CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-melodic-euscollada (0.4.4-1bionic) bionic; urgency=high

  * support use_simple_geometry, with bounding box (#244 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/244>)
  * keep sensor_id correctly from collada (#236 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/236>)
  * Noetic support (#238 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/238>)
    
      * fix for python3: use a in b, instead of b.has_key(a)
      * fix for python3 with 2to3 -w -f print
        add from __future__ import print_function
      * noetic does not have xacro.py, use xacro, skip teset if openhrp3 is not found
      * fix for python3 with 2to3 -w -f print
      * manually set collada_urdf_LIBRARIES due to https://github.com/ros/collada_urdf/issues/43
    
  * add mimic joint support for collada2eus (#225 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/225>)
    
      * not sure why but we need double check 'strm' since  https://travis-ci.org/jsk-ros-pkg/jsk_model_tools/builds/632871892
      * suport calc-jacobian for mimnic joints, with tests
      * support mimic joints
      * introduce mimic-joint-parmas, rotational-mimic-joint, linear-mimic-joint class
    
  * Contributors: Kei Okada, Naoki Hiraoka

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 11 May 2022 15:00:00 -0000

ros-melodic-euscollada (0.4.3-1bionic) bionic; urgency=high

  * fix for urdfmodel 1.0.0 (melodic) (#221 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/221>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 04 Dec 2018 15:00:00 -0000

ros-melodic-euscollada (0.4.2-1bionic) bionic; urgency=high

  * collada2eus_urdfmodel: append :provide on bottom; force flush (#219 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/219>)
  * Contributors: Yuki Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 03 Sep 2018 15:00:00 -0000

ros-melodic-euscollada (0.4.1-1bionic) bionic; urgency=high

  * [euscollada] fix collision model for version 0.4.0f( #218 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/218>)
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 31 Jul 2018 15:00:00 -0000

ros-melodic-euscollada (0.4.0-1bionic) bionic; urgency=high

  * Replace euscollada for using ROS collada/urdf parser. It can convert both collada and urdf to eusmodel (#216 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/216>)
    * [euscollada] previous collada2eus can be used by collada2eus.orig
    * [euscollada, collada2eus_urdfmodel] switch default model format (:collada->:urdf)
    * [euscollada] use collada2eus_urdfmodel as collada2eus
    * [euscollada,collada2eus_urdfmodel] fix parsing arguments
    * [euscollada,collada2eus_urdfmodel] fix reset-pose
    * [euscollada,collada2eus,collada2eus_urdfmodel] fix centroid
    * [euscollada, euscollada-robot.l] fix inertia conversion when weight is zero
    * [euscollada] fix message when robot.yaml has shorter length of angle-vector
    * [euscollada] do not make small cube for link without geometry
    * [euscollada] fix using _fixed_jt as slot name for fixed joint
    * [euscollada] add add_normal argument
  * [euscollada] fix travis testtest (#215 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/215>)
    * fix timeout for reading stream
    * set origin of robot before comparing centroid
  * Update collada2eus_urdfmodel (#212 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/212>)
    * [euscollada/collada2eus_urdfmodel] update for using non mesh geometry(BOX, CYLINDER, SPHERE)
    * [euscollada/collada2eus_urdfmodel] fix, the same as #174 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/174>
    * [euscollada/collada2eus_urdfmodel] fix warning message for reading urdf file
    * [euscollada/collada2eus_urdfmodel] fix min-max range for a continuous joint
    * [euscollada/collada2eus_urdfmodel] fix for writing non mesh geometry
  * fix to run installed euscollada (#213 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/213>)
    * enable to run within write-protected directory
    * euscollada: install sh fails as PROGRAMS
  * src/collada2eus.cpp: fix wrong python style string #174 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/174> (#204 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/204>)
  * Contributors: Kei Okada, Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 24 Jul 2018 15:00:00 -0000

ros-melodic-euscollada (0.3.5-1bionic) bionic; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 15:00:00 -0000

ros-melodic-euscollada (0.3.4-1bionic) bionic; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-melodic-euscollada (0.3.3-1bionic) bionic; urgency=high

  * urdfdom is for hydro, now we can drop (forget to remove run_depends)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 17 Feb 2017 15:00:00 -0000

ros-melodic-euscollada (0.3.2-1bionic) bionic; urgency=high

  * urdfdom is for hydro, now we can drop
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 17 Feb 2017 15:00:00 -0000

ros-melodic-euscollada (0.3.1-1bionic) bionic; urgency=high

  * for kinetic release (#197 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/197>)
    * collada2eus : convertnig const char* makes strange behavior (il->second becomes NONE)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 17 Feb 2017 15:00:00 -0000

ros-melodic-euscollada (0.3.0-1bionic) bionic; urgency=high

  * Fix conversion of mass properties (#192 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/192>)
    * [euscollada] fix test (samplerobot centroid and pose)
    * [collada2eus] fix conversion of mass properties, when there are links which are not member of links
    * [euscollda] add tests
  * Contributors: Yohei Kakiuchi



=== debian/control ===
Source: ros-melodic-euscollada
Section: misc
Priority: optional
Maintainer: Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libcollada-dom2.4-dp-dev, libqhull-dev, liburdfdom-dev, libyaml-cpp-dev, ros-melodic-assimp-devel, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-collada-parser, ros-melodic-collada-urdf, ros-melodic-mk, ros-melodic-openhrp3 <!nocheck>, ros-melodic-pr2-description <!nocheck>, ros-melodic-resource-retriever, ros-melodic-rosboost-cfg, ros-melodic-rosbuild, ros-melodic-roscpp, ros-melodic-roseus <!nocheck>, ros-melodic-rospack, ros-melodic-rostest, ros-melodic-tf, ros-melodic-urdf
Homepage: http://ros.org/wiki/euscollada
Standards-Version: 3.9.2

Package: ros-melodic-euscollada
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcollada-dom2.4-dp-dev, libqhull-dev, liburdfdom-dev, libyaml-cpp-dev, ros-melodic-assimp-devel, ros-melodic-collada-parser, ros-melodic-collada-urdf, ros-melodic-resource-retriever, ros-melodic-roscpp, ros-melodic-rospack, ros-melodic-rostest, ros-melodic-tf, ros-melodic-urdf
Description: euscollada

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
